Recent

Author Topic: Fpcupdeluxe  (Read 631281 times)

jdp

  • Full Member
  • ***
  • Posts: 142
Re: Lazarus Release Candidate 1 of 2.2.0
« Reply #1905 on: August 08, 2021, 01:10:17 pm »
Hi. Where can I find this version for Raspberry Pi arm? I have been using FPCUPdeluxe to install but it installs a Trunk or version 2.0.2.
How can I get this release?

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1515
Re: Fpcupdeluxe
« Reply #1906 on: August 08, 2021, 01:44:19 pm »
As the Gitlab sources for both FPC and Lazarus are online, a new version of fpcupdeluxe is ready for use.
https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/tag/v2.0.0d

Please note.
Fpcupdeluxe will try to easy the change from SVN to Gitlab, but things might get rough.

My advice.
As a fpcupdeluxe install is isolated in one directory, please zip this directory as to make a emergency backup !
Skip the above if you have blind trust in fpcupdeluxe !!

jdp

  • Full Member
  • ***
  • Posts: 142
Re: Fpcupdeluxe
« Reply #1907 on: August 08, 2021, 03:18:39 pm »
Hi Alfred. Long time no speak. I hope you are doing well. I installed the latest version of fpcupdeluxe.
I now see the Gitlab option. When I tick it I see a new list of versions but I still do not see version 2.2.0. I see 2.0.12 and 2.3.0
I selected stable and it installed 2.0.12. How do I get version 2.2.0 RC1 ?

jdp

  • Full Member
  • ***
  • Posts: 142
Re: Fpcupdeluxe
« Reply #1908 on: August 08, 2021, 03:33:55 pm »
OK I found it. I had to select fixes-2.2.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1515
Re: Fpcupdeluxe
« Reply #1909 on: August 08, 2021, 03:35:20 pm »
@jdp
For the moment, I disabled the dynamic tags feature. This feature was available for SVN sources to add special releases.
However, you can edit the fpcup.ini file yourself and add this [2.2.0.rc1.gitlab=lazarus_2_2_0_RC1] into the ALIASlazTAGregion.

Code: Pascal  [Select][+][-]
  1. [ALIASlazTAG]
  2. 2.2.0.rc1.gitlab=lazarus_2_2_0_RC1
  3. stable.gitlab=lazarus_2_0_12
  4. ; 2.3.0=trunk
  5. ; 2.3=trunk-2_3
  6. ; fixes=fixes-2_2
  7. ; fixes2.2=fixes-2_2
  8. ; fixes2.0=fixes-2_0
  9. ; 2.0.13=fixes-2_0
  10. 2.0.12.gitlab=lazarus_2_0_12
  11. 2.0.10.gitlab=lazarus_2_0_10
  12. 2.0.8.gitlab=lazarus_2_0_8
  13.  

El Salvador

  • Jr. Member
  • **
  • Posts: 68
Re: Fpcupdeluxe
« Reply #1910 on: August 08, 2021, 03:49:15 pm »
In the latest version of FPCUp, how is it possible to set the branch or tags to use (using parameters)?
« Last Edit: August 08, 2021, 03:53:23 pm by El Salvador »

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1515
Re: Fpcupdeluxe
« Reply #1911 on: August 08, 2021, 05:46:41 pm »
For fpcup please see:
https://github.com/LongDirtyAnimAlf/Reiniero-fpcup/releases/tag/v2.0.0d

Use:
--fpcVersion="stable.gitlab" --lazVersion="trunk.gitlab"

jdp

  • Full Member
  • ***
  • Posts: 142
Re: Fpcupdeluxe
« Reply #1912 on: August 09, 2021, 12:44:10 am »
When I try to install the FPC TRUNK version 3.3.1 on Arm Linux Raspberry Pi I get this error using GitLab and trunk.git. I have installed version 3.2.3, 3.2.2 , 3.2.0 without any problems

Code: Pascal  [Select][+][-]
  1. pcupdeluxe: info: FPC native builder: Detected source version FPC (source): 3.3.1
  2. fpcupdeluxe: info: FPC native builder: Using FPC bootstrap compiler with version: 3.0.4
  3. fpcupdeluxe: Start of compile error summary.
  4. t_embed.pas(1720,3) Fatal: Syntax error, "NIL" expected but "(" found
  5. make: *** [Makefile:3168: build-stamp.arm-linux] Error 2
  6. fpcupdeluxe: Start of compile error summary.
  7. Fatal: Compilation aborted
  8. t_embed.pas(1720,3) Fatal: Syntax error, "NIL" expected but "(" found
  9. fpcupdeluxe: Start of compile error summary.
  10. fpcupdeluxe: ERROR: FPCNativeInstaller (CleanModule: FPC): Error running /usr/bin/make for FPC failed with exit code 512
  11. . Details:
  12. fpcupdeluxe: Done !!
  13.  
« Last Edit: August 09, 2021, 12:52:33 am by jdp »

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1515
Re: Fpcupdeluxe
« Reply #1913 on: August 09, 2021, 06:50:44 am »
Quote
fpcupdeluxe: info: FPC native builder: Detected source version FPC (source): 3.3.1
fpcupdeluxe: info: FPC native builder: Using FPC bootstrap compiler with version: 3.0.4
Compiling trunk with a 3.0.4 bootstrapper will never succeed.
Please remove the bootstrap directory and run again.
Fpcupdeluxe should download a 3.2.2 bootstrapper for trunk ! If not, this is a bugger.

El Salvador

  • Jr. Member
  • **
  • Posts: 68
Re: Fpcupdeluxe
« Reply #1914 on: August 09, 2021, 08:10:57 am »
For fpcup please see:
https://github.com/LongDirtyAnimAlf/Reiniero-fpcup/releases/tag/v2.0.0d

Use:
--fpcVersion="stable.gitlab" --lazVersion="trunk.gitlab"
Thank you. But then there is no possibility to set up a custom branch/tag, if not going through the modification of the fpcup.ini file, inserting an alias in the ALIASlazTAG section?

jdp

  • Full Member
  • ***
  • Posts: 142
Re: Fpcupdeluxe
« Reply #1915 on: August 09, 2021, 08:14:50 am »
Quote
fpcupdeluxe: info: FPC native builder: Detected source version FPC (source): 3.3.1
fpcupdeluxe: info: FPC native builder: Using FPC bootstrap compiler with version: 3.0.4
Compiling trunk with a 3.0.4 bootstrapper will never succeed.
Please remove the bootstrap directory and run again.
Fpcupdeluxe should download a 3.2.2 bootstrapper for trunk ! If not, this is a bugger.

Alfred this looks like a bugger then lol. If I do a clean install and I choose FPC Trunk or if I delete the bootstrap folder after it ran once I get the same error as above. I also see this in the log.

Code: Pascal  [Select][+][-]
  1. fpcupdeluxe: info: FPCNativeInstaller (GetModule: FPC): FPC is at revision: main-0-gc5a128fae7
  2. fpcupdeluxe: info: FPCNativeInstaller (GetModule: FPC): No updates for FPC found.
  3. fpcupdeluxe: info: FPCNativeInstaller (GetModule: FPC): No FPC patches defined.
  4. fpcupdeluxe: info: FPCNativeInstaller (BuildModule: FPC): Building module FPC...
  5. fpcupdeluxe: info: FPC native builder: Detected source version FPC (source): 3.3.1
  6. fpcupdeluxe: info: FPCNativeInstaller (BuildModule: FPC): To compile this FPC, we need (required) a compiler with version 3.2.0 or 3.2.2
  7. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Looking for official FPC bootstrapper with version 3.2.2
  8. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Looking for official FPC bootstrapper with version 3.2.0
  9. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Looking for official FPC bootstrapper with version 3.0.4
  10. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Looking for official FPC bootstrapper with version 3.0.2
  11. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Looking for official FPC bootstrapper with version 3.0.0
  12. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Looking for official FPC bootstrapper with version 2.6.4
  13. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Looking for official FPC bootstrapper with version 2.6.2
  14. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Got a V2.6.2 bootstrap compiler from official FPC bootstrap sources.
  15. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Now looking for a better [version] bootstrap compiler from Github FPCUP(deluxe) releases.
  16. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Looking online for a FPCUP(deluxe) bootstrapper with name: fpcup-3_2_2-armhf-linux-ppcarm
  17. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Looking online for a FPCUP(deluxe) bootstrapper with name: fpcup-3_2_0-armhf-linux-ppcarm
  18. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Looking online for a FPCUP(deluxe) bootstrapper with name: fpcup-3_0_4-armhf-linux-ppcarm
  19. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Success: found a FPCUP(deluxe) bootstrapper with version 3.0.4
  20. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Got a better [version] bootstrap compiler from FPCUP(deluxe) bootstrap binaries.
  21. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): Check if we already have a bootstrap compiler with version 3.0.4
  22. fpcupdeluxe: info: FPCNativeInstaller (CheckAndGetTools): No correct bootstrapper. Going to download bootstrapper from https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/download/bootstrappers_v1.0/fpcup-3_0_4-armhf-linux-ppcarm
  23. fpcupdeluxe: info: FPCNativeInstaller (GetFile): Downloading https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/download/bootstrappers_v1.0/fpcup-3_0_4-armhf-linux-ppcarm
  24. Download progress fpcup-3_0_4-armhf-linux-ppcarm: starting.
  25. Download progress fpcup-3_0_4-armhf-linux-ppcarm: Starting download.
  26. Download progress fpcup-3_0_4-armhf-linux-ppcarm: download ready !
  27. fpcupdeluxe: info: FPCNativeInstaller (GetFile): Success. Going to copy /home/pi/LazarusFPCTest/tmp/fpcup00000/ppcarm to /home/pi/LazarusFPCTest/fpcbootstrap/ppcarm
  28. Found valid make application.
  29. Found valid ld application.
  30. fpcupdeluxe: info: FPC native builder: Using FPC bootstrap compiler with version: 3.0.4

jdp

  • Full Member
  • ***
  • Posts: 142
Re: Fpcupdeluxe
« Reply #1916 on: August 09, 2021, 09:01:42 am »
OK it found the bootstarp 3.2.2 from your git area now. Not sure if you added it now but now it is finding it. I will let it run and see if it completes.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1515
Re: Fpcupdeluxe
« Reply #1917 on: August 09, 2021, 09:27:12 am »
A new release of the original fpcup. Allows for setting of branches or tags.
https://github.com/LongDirtyAnimAlf/Reiniero-fpcup/releases/tag/v2.0.0e

Example setup:
--installdir="C:\fpcupsystems\yolo" --fpcURL="gitlab" --fpcBranch="release_3_2_2_rc1" --lazVersion="trunk.gitlab"

El Salvador

  • Jr. Member
  • **
  • Posts: 68
Re: Fpcupdeluxe
« Reply #1918 on: August 09, 2021, 09:30:04 am »
A new release of the original fpcup. Allows for setting of branches or tags.
https://github.com/LongDirtyAnimAlf/Reiniero-fpcup/releases/tag/v2.0.0e

Example setup:
--installdir="C:\fpcupsystems\yolo" --fpcURL="gitlab" --fpcBranch="release_3_2_2_rc1" --lazVersion="trunk.gitlab"
Thank you very much! :-*

jdp

  • Full Member
  • ***
  • Posts: 142
Re: Fpcupdeluxe
« Reply #1919 on: August 09, 2021, 09:55:52 am »
OK it worked now. Thank you Alfred.

 

TinyPortal © 2005-2018